#pragma once
#include "GPU/gpu_types.hpp"

namespace JabyEngine {
    struct Configuration {
        struct BIOSFont {
            static constexpr auto TextureLoadPos = GPU::PositionU16::create(320, 256);
            static constexpr auto CLUTLoadPos    = GPU::PositionU16::create(320, 511);
        };

        struct Periphery {
            static constexpr bool UsePortB    = false;
            static constexpr bool UseMultiTap = false;
        };
    };
}