#pragma once
#include "../jabyegine_config.hpp"
#include "raw_controller.hpp"

namespace JabyEngine {
    namespace Periphery {
        static constexpr uint32_t PortCount   = Configuration::Periphery::UsePortB    ? 2 : 1;
        static constexpr uint32_t DeviceCount = Configuration::Periphery::UseMultiTap ? 4 : 1;

        extern RawController controller[PortCount][DeviceCount];

        void query_controller();
    }
}